package Cpanel::CryptoPhoto::Utils;

## Copyright (c) 2014 CryptoPhoto -- http://cryptophoto.com
##
## AUTHORS:
##   CryptoPhoto
##
## Permission is hereby granted, free of charge, to any person obtaining a copy
## of this software and associated documentation files (the "Software"), to deal
## in the Software without restriction, including without limitation the rights
## to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
## copies of the Software, and to permit persons to whom the Software is
## furnished to do so, subject to the following conditions:
##
## The above copyright notice and this permission notice shall be included in
## all copies or substantial portions of the Software.
##
## THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
## IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
## FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
## AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
## LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
## OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
## THE SOFTWARE.

#                                                  Copyright(c) 2014 CryptoPhoto
#                                                           All rights Reserved.
# copyright@cryptophoto.com                               http://cryptophoto.com

use Cpanel::Config                  ();
use Cpanel::Form                    ();
use Cpanel::SafeFile                ();


sub flushConfig {
    my ( $conf, $filename ) = @_;

    my @aconf = map( $_ . '=' . $conf->{$_}, sort keys %{$conf} );
    my $sl = Cpanel::SafeFile::safeopen( \*CONF, '>', $filename ) || return;
    print CONF join( "\n", @aconf );
    print CONF "\n";
    Cpanel::SafeFile::safeclose( \*CONF, $sl );
    return 1;
}

sub load_Config {
    my $file    = shift;
    my $reverse = shift;
    my $conf_ref;
    $conf_ref = {} if !ref $conf_ref;
    $conf_ref = Cpanel::Config::loadConfig( $file, $conf_ref, '\s*[\=]\s*', '^\s*[#]', 0, 0, { 'use_reverse' => $reverse ? 1 : 0, } );
    if ( !defined($conf_ref) ) {
        $conf_ref = {};
    }
    return wantarray ? %{$conf_ref} : $conf_ref;
}

sub dumper {
  my ($logger, $obj, $name) = @_;

  if(ref($obj)) {
    $logger->info("\$" . uc($name) . " = {");
    if(ref($obj) eq 'ARRAY') {
      foreach my $key (@$obj) {
        $logger->info(" '$key',");
      }
    } else {
      foreach my $key (keys %$obj) {
        $logger->info(" '$key' => '".$obj->{$key} ."',");
      }
    }
    $logger->info("};");

  } else {
    $logger->info($obj);
  }
}



1;

