package Cpanel::Security::Policy::CryptoPhoto::Config;

## Copyright (c) 2014 CryptoPhoto -- http://cryptophoto.com
##
## AUTHORS:
##   CryptoPhoto
##
## Permission is hereby granted, free of charge, to any person obtaining a copy
## of this software and associated documentation files (the "Software"), to deal
## in the Software without restriction, including without limitation the rights
## to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
## copies of the Software, and to permit persons to whom the Software is
## furnished to do so, subject to the following conditions:
##
## The above copyright notice and this permission notice shall be included in
## all copies or substantial portions of the Software.
##
## THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
## IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
## FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
## AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
## LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
## OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
## THE SOFTWARE.

#                                                  Copyright(c) 2014 CryptoPhoto
#                                                           All rights Reserved.
# copyright@cryptophoto.com                               http://cryptophoto.com

use Cpanel::Security::Policy::CryptoPhoto ();
use Cpanel::Locale                        ();
use Cpanel::CryptoPhoto::Utils;

my $locale;
my $logger = Cpanel::Logger->new();

sub new {
    my ( $class, $policy ) = @_;
    die "No policy object supplied.\n" unless defined $policy;
    return bless { 'policy' => $policy }, $class;
}

sub config {
    my ( $self, $formref, $cpconf_ref, $is_save ) = @_;

    if(lc($formref->{'cmd'}) eq 'save') {
      my $CP_CONF_FILE = '/usr/local/cpanel/base/3rdparty/cryptophoto/cryptophoto.conf';
      my $cp_config = Cpanel::CryptoPhoto::Utils::load_Config($CP_CONF_FILE);

      if(defined $formref->{'CryptoPhoto'}) {
        $cp_config->{'policy'} = 1;
      } else {
        $cp_config->{'policy'} = 0;
      }

      Cpanel::CryptoPhoto::Utils::flushConfig( $cp_config, $CP_CONF_FILE );
    }


    $locale ||= Cpanel::Locale->get_handle();

    return {
        'header' => $locale->maketext('CryptoPhoto_legend'), ()
    };

}

1;

